=== debian/changelog ===
prometheus-snmp-exporter (0.14.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add support for LLDP-MIB's LldpPortId
  * Update Standards-Version to 4.3.0
  * Add debian/gbp.conf to describe repo configuration.
  * Add '+ds' suffix to version number to reflect repackaging done to remove
    vendoring.
  * Update watchfile for repackaging suffix.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 21 Jan 2019 11:38:12 +0100

prometheus-snmp-exporter (0.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #902120)

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Wed, 12 Sep 2018 14:10:09 +0200
