=== debian/control ===
Source: prometheus-snmp-exporter
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417.82f5ff1),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20180110.89604d1),
               golang-github-soniah-gosnmp-dev (>= 1.10),
               golang-go,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1),
               libsnmp-dev
Standards-Version: 4.3.0
Homepage: https://github.com/prometheus/snmp_exporter
XS-Go-Import-Path: github.com/prometheus/snmp_exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-snmp-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-snmp-exporter.git

Package: prometheus-snmp-exporter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for SNMP-enabled devices
 An exporter for Prometheus which exposes information gathered from Simple
 Network Management Protocol (SNMP) for use by the Prometheus monitoring
 system.
 .
 There are two components - an exporter which does the actual scraping, and a
 generator which creates the configuration for use by the exporter.
