## prometheus-snmp-exporter 0.16.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417.82f5ff1),
+               golang-github-go-kit-kit-dev,
+               golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180110.89604d1),
-               golang-github-soniah-gosnmp-dev (>= 1.10),
-               golang-go,
+               golang-github-prometheus-common-dev (>= 0+git20181119.b36ad28~),
+               golang-github-soniah-gosnmp-dev,
+               golang-go (>= 2:1.13~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1),
+               golang-gopkg-yaml.v2-dev (>= 2.2.1~),
                libsnmp-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/prometheus/snmp_exporter
 XS-Go-Import-Path: github.com/prometheus/snmp_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-snmp-exporter
