## prometheus-snmp-exporter 0.16.1+ds

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Needs to be defined before including Makefile.common to auto-generate targets
+DOCKER_ARCHS ?= amd64 armv7 arm64
+
 include Makefile.common
 
 STATICCHECK_IGNORE =
