=== debian/changelog ===
prometheus-snmp-exporter (0.16.1+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:06:55 +0200

prometheus-snmp-exporter (0.16.1+ds-1build1) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:49 +0000

prometheus-snmp-exporter (0.16.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 (debhelper-compat = 12).
  * Bump required Go version to 1.13.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 03 Jan 2020 14:34:08 +0100

prometheus-snmp-exporter (0.15.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Support multi-index lookups (note: generator YAML config syntax change)

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Thu, 06 Jun 2019 17:36:19 +0200
