=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prometheus-snmp-exporter
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
