=== debian/changelog ===
prometheus-snmp-exporter (0.18.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update maintainer email address.
  * Bump debhelper-compat version to 13.
  * Add upstream metadata field: Repository.
  * Add Testsuite.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 05 Jun 2020 18:25:52 +0200

prometheus-snmp-exporter (0.17.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Update Standards-Version to 4.5.0 (rename systemd service file).
  * Bump golang-github-soniah-gosnmp build-dep version.
  * lintian: Add Rules-Requires-Root to d/control.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Thu, 27 Feb 2020 11:27:58 +0100
