=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: prometheus-snmp-exporter
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-github-go-kit-kit-dev,
                golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20181119.b36ad28~),
-               golang-github-soniah-gosnmp-dev,
+               golang-github-soniah-gosnmp-dev (>= 1.24.0~),
                golang-go (>= 2:1.13~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1~),
                libsnmp-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
 Homepage: https://github.com/prometheus/snmp_exporter
 XS-Go-Import-Path: github.com/prometheus/snmp_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-snmp-exporter
