=== debian/changelog ===
prometheus-snmp-exporter (0.19.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release (Closes: #976724)
  * Bump Standards-Version to 4.5.1 (no changes)
  * Update copyright holder
  * Add 02-soniah-gosnmp.patch to fix gosnmp import path

  [ Guillem Jover ]
  * Add Restart=on-failure to systemd service
  * Add sysvinit script and logrotate fragment file
  * Create the prometheus user if needed
  * Do not enable DH_VERBOSE by default
  * Use $(BUILDDIR) uniformly in debian/rules

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 02 Feb 2021 12:46:11 +0100
