=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
+Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-github-go-kit-kit-dev,
                golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20181119.b36ad28~),
-               golang-github-soniah-gosnmp-dev (>= 1.24.0~),
+               golang-github-gosnmp-gosnmp-dev,
                golang-go (>= 2:1.13~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1~),
-               libsnmp-dev
-Standards-Version: 4.5.0
+               libsnmp-dev,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 Homepage: https://github.com/prometheus/snmp_exporter
@@ -24,8 +24,11 @@
 
 Package: prometheus-snmp-exporter
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for SNMP-enabled devices
  An exporter for Prometheus which exposes information gathered from Simple
  Network Management Protocol (SNMP) for use by the Prometheus monitoring
