=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

EXPORTER_BINNAME := $(DEB_SOURCE)
WHATIS_EXPORTER := "$(EXPORTER_BINNAME) \\- Prometheus exporter for SNMP-enabled devices"

GENERATOR_BINNAME := prometheus-snmp-generator
WHATIS_GENERATOR := "$(GENERATOR_BINNAME) \\- Config generator for $(DEB_SOURCE)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

	# Rename the binaries to match the debian package.
	mv -v $(BUILDDIR)/bin/snmp_exporter $(BUILDDIR)/bin/$(EXPORTER_BINNAME)
	mv -v $(BUILDDIR)/bin/generator $(BUILDDIR)/bin/$(GENERATOR_BINNAME)

	# Create manpages
	$(BUILDDIR)/bin/$(EXPORTER_BINNAME) --help-man > $(BUILDDIR)/$(EXPORTER_BINNAME).1
	$(BUILDDIR)/bin/$(GENERATOR_BINNAME) --help-man > $(BUILDDIR)/$(GENERATOR_BINNAME).1

	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' $(BUILDDIR)/*.1

	# Fix whatis entries.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS_EXPORTER) $(BUILDDIR)/$(EXPORTER_BINNAME).1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS_GENERATOR) $(BUILDDIR)/$(GENERATOR_BINNAME).1

	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/*.1

override_dh_auto_install:
	dh_auto_install -- --no-source
