## prometheus-snmp-exporter 0.20.0

=== generator/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 MIBDIR   := mibs
 MIB_PATH := 'mibs'
 
-CURL_OPTS ?= -s --retry 3 --retry-delay 3 --compressed --location --fail
+CURL_OPTS ?= -s --retry 3 --retry-delay 3 --fail
 
 DOCKER_IMAGE_NAME ?= snmp-generator
 DOCKER_IMAGE_TAG  ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
@@ -27,18 +27,22 @@
 IANA_IFTYPE_URL   := https://www.iana.org/assignments/ianaiftype-mib/ianaiftype-mib
 IANA_PRINTER_URL  := https://www.iana.org/assignments/ianaprinter-mib/ianaprinter-mib
 KEEPALIVED_URL    := https://raw.githubusercontent.com/acassen/keepalived/v2.1.5/doc/KEEPALIVED-MIB.txt
-MIKROTIK_URL      := 'http://download2.mikrotik.com/Mikrotik.mib'
+KEMP_LM_URL       := https://kemptechnologies.com/files/packages/current/LM_mibs.zip
+MIKROTIK_URL      := 'https://box.mikrotik.com/f/a41daf63d0c14347a088/?dl=1'
 NEC_URL           := https://jpn.nec.com/univerge/ix/Manual/MIB
 NET_SNMP_URL      := https://raw.githubusercontent.com/net-snmp/net-snmp/v5.9/mibs
 PALOALTO_URL      := https://docs.paloaltonetworks.com/content/dam/techdocs/en_US/zip/snmp-mib/pan-10-0-snmp-mib-modules.zip
 PRINTER_URL       := https://ftp.pwg.org/pub/pwg/pmp/mibs/rfc3805b.mib
 SERVERTECH_URL    := 'https://cdn10.servertech.com/assets/documents/documents/817/original/Sentry3.mib'
+SERVERTECH4_URL   := 'https://cdn10.servertech.com/assets/documents/documents/815/original/Sentry4.mib'
 SYNOLOGY_URL      := 'https://global.download.synology.com/download/Document/Software/DeveloperGuide/Firmware/DSM/All/enu/Synology_MIB_File.zip'
 UBNT_AIROS_URL    := https://dl.ubnt.com/firmwares/airos-ubnt-mib/ubnt-mib.zip
 UBNT_AIRFIBER_URL := https://dl.ubnt.com/firmwares/airfiber5X/v4.1.0/UBNT-MIB.txt
 UBNT_DL_URL       := http://dl.ubnt-ut.com/snmp
+WIENER_URL        := https://file.wiener-d.com/software/net-snmp/WIENER-CRATE-MIB-5704.zip
 RARITAN_URL       := http://cdn.raritan.com/download/PX/v1.5.20/PDU-MIB.txt
 INFRAPOWER_URL    := https://www.austin-hughes.com/support/software/infrapower/IPD-MIB.7z
+LIEBERT_URL       := https://www.vertiv.com/492204/contentassets/b00273585e0a453a9c983523e8a0d6ff/lgpmib-unix_rev16.tar
 
 .DEFAULT: all
 
@@ -51,7 +55,8 @@
 		$(MIBDIR)/.cisco_v2 \
 		$(MIBDIR)/.net-snmp \
 		$(MIBDIR)/.paloalto_panos \
-		$(MIBDIR)/.synology
+		$(MIBDIR)/.synology \
+		$(MIBDIR)/.kemp-lm
 
 generator: *.go
 	go build
@@ -85,6 +90,7 @@
   $(MIBDIR)/IANA-IFTYPE-MIB.txt \
   $(MIBDIR)/IANA-PRINTER-MIB.txt \
   $(MIBDIR)/KEEPALIVED-MIB \
+  $(MIBDIR)/.kemp-lm \
   $(MIBDIR)/MIKROTIK-MIB \
   $(MIBDIR)/.net-snmp \
   $(MIBDIR)/.paloalto_panos \
@@ -93,12 +99,15 @@
   $(MIBDIR)/PICO-SMI-MIB.txt \
   $(MIBDIR)/PRINTER-MIB-V2.txt \
   $(MIBDIR)/servertech-sentry3-mib \
+  $(MIBDIR)/servertech-sentry4-mib \
   $(MIBDIR)/.synology \
   $(MIBDIR)/UBNT-UniFi-MIB \
   $(MIBDIR)/UBNT-AirFiber-MIB \
   $(MIBDIR)/UBNT-AirMAX-MIB.txt \
+  $(MIBDIR)/WIENER-CRATE-MIB-5704.txt \
   $(MIBDIR)/PDU-MIB.txt \
-  $(MIBDIR)/IPD-MIB_Q419V9.mib
+  $(MIBDIR)/IPD-MIB_Q419V9.mib \
+  $(MIBDIR)/LIEBERT_GP_PDU.MIB
 
 mib-dir:
 	@mkdir -p -v $(MIBDIR)
@@ -151,9 +160,20 @@
 	@echo ">> Downloading KEEPALIVED-MIB"
 	@curl $(CURL_OPTS) -o $(MIBDIR)/KEEPALIVED-MIB $(KEEPALIVED_URL)
 
+$(MIBDIR)/.kemp-lm:
+	$(eval TMP := $(shell mktemp))
+	@echo ">> Downloading Kemp LM MIBs to $(TMP)"
+	@curl $(CURL_OPTS) -L -o $(TMP) $(KEMP_LM_URL)
+	@unzip -j -d $(MIBDIR) $(TMP) *.txt
+	# Workaround invalid timestamps.
+	@sed -i.bak -E 's/"([0-9]{12})[0-9]{2}Z"/"\1Z"/' $(MIBDIR)/*.RELEASE-B100-MIB.txt
+	@rm $(MIBDIR)/*.RELEASE-B100-MIB.txt.bak
+	@rm -v $(TMP)
+	@touch $(MIBDIR)/.kemp-lm
+
 $(MIBDIR)/MIKROTIK-MIB:
 	@echo ">> Downloading MIKROTIK-MIB"
-	@curl $(CURL_OPTS) -o $(MIBDIR)/MIKROTIK-MIB $(MIKROTIK_URL)
+	@curl $(CURL_OPTS) -L -o $(MIBDIR)/MIKROTIK-MIB $(MIKROTIK_URL)
 
 $(MIBDIR)/.net-snmp:
 	@echo ">> Downloading NET-SNMP mibs"
@@ -199,6 +219,10 @@
 	@echo ">> Downloading servertech-sentry3-mib"
 	@curl $(CURL_OPTS) -o $(MIBDIR)/servertech-sentry3-mib $(SERVERTECH_URL)
 
+$(MIBDIR)/servertech-sentry4-mib:
+	@echo ">> Downloading servertech-sentry4-mib"
+	@curl $(CURL_OPTS) -o $(MIBDIR)/servertech-sentry4-mib $(SERVERTECH4_URL)
+
 $(MIBDIR)/.synology:
 	$(eval TMP := $(shell mktemp))
 	@echo ">> Downloading synology to $(TMP)"
@@ -222,6 +246,13 @@
 	@unzip -j -d $(MIBDIR) $(TMP) UBNT-AirMAX-MIB.txt
 	@rm -v $(TMP)
 
+$(MIBDIR)/WIENER-CRATE-MIB-5704.txt:
+	$(eval TMP := $(shell mktemp))
+	@echo ">> Downloading WIENER-CRATE-MIB to $(TMP)"
+	@curl $(CURL_OPTS) -o $(TMP) $(WIENER_URL)
+	@unzip -j -d $(MIBDIR) $(TMP)
+	@rm -v $(TMP)
+
 $(MIBDIR)/PDU-MIB.txt:
 	@echo ">> Downloading PDU-MIB"
 	@curl $(CURL_OPTS) -o $(MIBDIR)/PDU-MIB.txt "$(RARITAN_URL)"
@@ -229,6 +260,13 @@
 $(MIBDIR)/IPD-MIB_Q419V9.mib:
 	$(eval TMP := $(shell mktemp))
 	@echo ">> Downloading IPD-MIB_Q419V9 to $(TMP)"
-	@curl $(CURL_OPTS) -o $(TMP) $(INFRAPOWER_URL)
+	@curl $(CURL_OPTS) -L -o $(TMP) $(INFRAPOWER_URL)
 	@7z e -o$(MIBDIR) $(TMP)
 	@rm -v $(TMP)
+
+$(MIBDIR)/LIEBERT_GP_PDU.MIB:
+	$(eval TMP := $(shell mktemp))
+	@echo ">> Downloading LIEBERT_GP_PDU.MIB to $(TMP)"
+	@curl $(CURL_OPTS) -o $(TMP) $(LIEBERT_URL)
+	@tar --no-same-owner -C $(MIBDIR) -xvf $(TMP)
+	@rm -v $(TMP)
