=== debian/changelog ===
prometheus-snmp-exporter (0.20.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Add new golang-github-prometheus-exporter-toolkit-dev build-dep
  * Drop +ds version suffix, since we no longer have to unvendor
  * Update copyright legal entity name
  * Refresh patches
    - Drop obsolete patch 02-soniah-gosnmp.patch
    - Add new 02-max-repetitions-uint32.patch

  [ Guillem Jover ]
  * Update gitlab-ci.yml from its new refactored template
  * Update gbp.conf following latest Go Team workflow
  * Update debian/watch file
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Switch to Standards-Version 4.6.0 (no changes needed)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 04 Dec 2021 15:45:18 +0000
