=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-github-go-kit-kit-dev,
+               golang-github-gosnmp-gosnmp-dev,
                golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20181119.b36ad28~),
-               golang-github-gosnmp-gosnmp-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-go (>= 2:1.13~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1~),
                libsnmp-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 Homepage: https://github.com/prometheus/snmp_exporter
