=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 WHATIS_GENERATOR := "$(GENERATOR_BINNAME) \\- Config generator for $(DEB_SOURCE)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
